# class FPHelper

#### package haxe.io

Available on all platforms

Helper that converts between floating point and binary representation. Always works in low-endian encoding.

### Static methods

###

`staticdoubleToI64 (v:Float):Int64`

Returns an Int64 representing the bytes representation of the double precision IEEE float value. WARNING : for performance reason, the same Int64 value might be reused every time. Copy its low/high values before calling again. We still ensure that this is safe to use in a multithread environment

###

`staticfloatToI32 (f:Float):Int`

###

`statici32ToFloat (i:Int):Float`

###

`statici64ToDouble (low:Int, high:Int):Float`